<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.strip</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.strip</h1>
<p>
Module implementing the strip extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Strip">Strip</a></td>
<td>Class implementing the strip extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Strip" ID="Strip"></a>
<h2>Strip</h2>
<p>
    Class implementing the strip extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Strip.__init__">Strip</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Strip.hgStrip">hgStrip</a></td>
<td>Public method to strip revisions from a repository.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Strip.__init__" ID="Strip.__init__"></a>
<h4>Strip (Constructor)</h4>
<b>Strip</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Strip.hgStrip" ID="Strip.hgStrip"></a>
<h4>Strip.hgStrip</h4>
<b>hgStrip</b>(<i>rev=""</i>)
<p>
        Public method to strip revisions from a repository.
</p>

<dl>

<dt><i>rev</i> (str)</dt>
<dd>
revision to strip from
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
